
From: NeilBrown <neilb@cse.unsw.edu.au>

From: "J. Bruce Fields" <bfields@fieldses.org>

Without this compiling auth_gss as module fails.


---

 25-akpm/include/linux/sunrpc/xdr.h |    1 +
 25-akpm/net/sunrpc/sunrpc_syms.c   |    1 +
 25-akpm/net/sunrpc/xdr.c           |    2 +-
 3 files changed, 3 insertions(+), 1 deletion(-)

diff -puN include/linux/sunrpc/xdr.h~knfsd-07-auth_gss-export include/linux/sunrpc/xdr.h
--- 25/include/linux/sunrpc/xdr.h~knfsd-07-auth_gss-export	2004-04-03 02:59:51.777481568 -0800
+++ 25-akpm/include/linux/sunrpc/xdr.h	2004-04-03 02:59:51.783480656 -0800
@@ -145,6 +145,7 @@ extern void _copy_from_pages(char *, str
 extern void xdr_buf_from_iov(struct iovec *, struct xdr_buf *);
 extern int xdr_buf_subsegment(struct xdr_buf *, struct xdr_buf *, int, int);
 extern int xdr_buf_read_netobj(struct xdr_buf *, struct xdr_netobj *, int);
+extern int read_bytes_from_xdr_buf(struct xdr_buf *buf, int base, void *obj, int len);
 
 /*
  * Helper structure for copying from an sk_buff.
diff -puN net/sunrpc/sunrpc_syms.c~knfsd-07-auth_gss-export net/sunrpc/sunrpc_syms.c
--- 25/net/sunrpc/sunrpc_syms.c~knfsd-07-auth_gss-export	2004-04-03 02:59:51.779481264 -0800
+++ 25-akpm/net/sunrpc/sunrpc_syms.c	2004-04-03 02:59:51.783480656 -0800
@@ -134,6 +134,7 @@ EXPORT_SYMBOL(xdr_read_pages);
 EXPORT_SYMBOL(xdr_buf_from_iov);
 EXPORT_SYMBOL(xdr_buf_subsegment);
 EXPORT_SYMBOL(xdr_buf_read_netobj);
+EXPORT_SYMBOL(read_bytes_from_xdr_buf);
 
 /* Debugging symbols */
 #ifdef RPC_DEBUG
diff -puN net/sunrpc/xdr.c~knfsd-07-auth_gss-export net/sunrpc/xdr.c
--- 25/net/sunrpc/xdr.c~knfsd-07-auth_gss-export	2004-04-03 02:59:51.780481112 -0800
+++ 25-akpm/net/sunrpc/xdr.c	2004-04-03 02:59:51.784480504 -0800
@@ -799,7 +799,7 @@ xdr_buf_subsegment(struct xdr_buf *buf, 
 }
 
 /* obj is assumed to point to allocated memory of size at least len: */
-static int
+int
 read_bytes_from_xdr_buf(struct xdr_buf *buf, int base, void *obj, int len)
 {
 	struct xdr_buf subbuf;

_
